For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
  • ElevenCreative
  • Core Resources
      • GETGet generated items
      • GETGet history item
      • DELDelete history item
      • GETGet audio from history item
      • POSTDownload history items
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
Core ResourcesHistory

Delete history item

DELETE
/v1/history/:history_item_id
DELETE
/v1/history/:history_item_id
$curl -X DELETE https://api.elevenlabs.io/v1/history/history_item_id
1{
2 "status": "ok"
3}
Delete a history item by its ID
Was this page helpful?
Previous

Get audio from history item

Next
Built with

Path parameters

history_item_idstringRequired

ID of the history item to be used. You can use the Get generated items endpoint to retrieve a list of history items.

Headers

xi-api-keystringOptional

Response

Successful Response
statusstring
The status of the deletion request. If the request was successful, the status will be 'ok'. Otherwise an error message with http code 500 will be returned.

Errors

422
Unprocessable Entity Error